package top.ninwoo.weixingsim.dynamicNet;

import top.ninwoo.weixingsim.sateTopology.entity.SimData;
import top.ninwoo.weixingsim.sateTopology.entity.WeiXingData;
import top.ninwoo.weixingsim.sateTopology.service.impl.ToponetImpl;
import top.ninwoo.weixingsim.sateTopology.service.impl.WeixingImpl;

import java.io.File;
import java.util.*;

public class CycleTopo {
    public static void main(String[] args) { cycleTp(); }

    public static HashMap<Integer, double[][]> cycleTp(){
        //从文本中获取卫星的数据
        WeixingImpl wx = new WeixingImpl();
        ToponetImpl tp = new ToponetImpl();
        SimData sd = new SimData();
        //tp.delHistory();
        File file = new File("D:\\project\\topusim_1.txt");
        //D:\LabratoryJavaPro\codingDownload\latestCoding\
        List<WeiXingData> wxData = null;
        {
            try {
                wxData = wx.iniTopo(file,sd.getZhouqi());
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
        }
        //初始topo
        double[][] toponet = tp.getWeightedTopology(wxData,sd);
        //去掉ovs
        double[][] topoNet = new double[10][10];
        for (int i = 0;i<topoNet.length;i++){
            for (int j = 0;j<topoNet.length;j++){
                topoNet[i][j] = toponet[i][j];
            }
        }
        HashMap<Integer, double[][]> TopoStore = new HashMap<>();
        TopoStore.put(0,topoNet);

        for (int i = 1;i<sd.getZhouqi()/sd.getJiange(); i++) {
            int time = i * sd.getJiange();
            List<WeiXingData> changetp = wx.changeTopo(wxData,time);
            double[][] changeTopo = tp.getWeightedTopology(changetp,sd);
            //去掉ovs
            for (int k = 0;k<topoNet.length;k++){
                for (int j = 0;j<topoNet.length;j++){
                    topoNet[k][j] = changeTopo[k][j];
                }
            }
            for (int k = 0;k<topoNet.length;k++){
                for (int j = k+1;j<topoNet.length;j++){
                    topoNet[k][j] = topoNet[j][k];
                }
            }
            TopoStore.put(i,topoNet);
        }
        int count = 0;
        int count2 = -1;
        Iterator<Map.Entry<Integer, double[][]>> iterator = TopoStore.entrySet().iterator();
        while(iterator.hasNext()){
            double[][] value = iterator.next().getValue();
            for (int i = 0;i<value.length;i++){
                if (i>0){
                    boolean equals = Arrays.equals(value[i], topoNet[i]);
                    count += (equals?1:0);
                }
                for (int j = 0;j<topoNet.length;j++){
                    topoNet[i][j] = value[i][j];
                }
            }
            for (int k = 0;k<topoNet.length;k++){
                for (int j = k+1;j<topoNet.length;j++){
                    topoNet[k][j] = topoNet[j][k];
                }

            }
            if (count != 30){
                count2++;
            }
            System.out.println(Arrays.deepToString(topoNet));
            System.out.println("=========================================");
            System.out.println(count2);
        }
        return TopoStore;
    }

}
