package top.ninwoo.weixingsim.sateTopology.entity;

import lombok.Data;

@Data
public class WeiXingData {
    //卫星的名字，之后可能作为增删改查的唯一标识
    private String name;
    //地心距离
    private Float high = (float)780;
    //根据高度计算得出，规定(默认)逆时针为正方向
    private Double speed;
    private Boolean tag=true;
    //测试用一个角度作为初始相位，后期需要三个角度来算出xyz坐标轴
    private Float alpha;
    private Float beta;
    private Float gamma;
    //xyz坐标轴数据
    private Double  xaxis;
    private Double  yaxis;
    private Double  zaxis;
    //卫星的序列号
    private Integer index;
    //运行时间
    private int lastime = 0;

    @Override
    public String toString(){
        return "卫星名是："+name+";高度是："+high+"\n"+"x轴坐标："+xaxis+"\n"+"y轴坐标："+yaxis+"\n"+"z轴坐标："+zaxis;
    }
}
