package top.ninwoo.weixingsim.entity;

import lombok.Data;

/**
 * @description 储存有关星间链路的数据
 */
@Data
public class SimData {
    //时间间隔，默认值为10
    private int jiange = 10;

    //todo：这里因该预设默认值
    //星间链路带宽
    private double bandwidth = 10e9;
    //加性高斯白噪声(AWGN)
    private double n0 = 5*10e-15;
    //信号发射功率
    private double pt = 5*10e3;
    //信号发射增益系数
    private double gt = 52.5;
    //信号接收增益系数
    private double gr = 37.5;
    //载波波长
    private double lamda = 0.05;

    //星间信道容量最低容限
    private double c0 = 10e9;

    public double ptGtGr(){
        return pt*gt*gr;
    }
    public double n0B(){
        return n0*bandwidth;
    }
}
