package top.ninwoo.dbc.server.serviceimpl;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import top.ninwoo.dbc.api.po.ComputingResult;
import top.ninwoo.dbc.api.po.FileSlice;
import top.ninwoo.dbc.server.FileService;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;

@Service
public class FileServiceImpl implements FileService {
    /*@Value("${dbc.directory.output}")
    private String directoryOutput;*/

    //分散计算
    @Override
    public String fileComputing(FileSlice fileSlice) throws IOException {
        if(this.greySlice(fileSlice)){
            return  "sucess";
        }
        else{
            return "failed";
        }
    }

    //存储模块
    //todo
    //目前仅是灰度处理，如果为多个计算，则需要添加
    @Override
    public void fileSave(ComputingResult computingResult){}

    /**
     * 具体任务
     * 灰度
     * todo 以后继续添加
     */
    private boolean greySlice(FileSlice fileSlice) throws IOException {
        //读图片
        //npe,可能会出问题
        if(fileSlice.getFileBytes().equals(null)){
            return false;
        }else{
            ByteArrayInputStream bis = new  ByteArrayInputStream(fileSlice.getFileBytes());
            BufferedImage image = ImageIO.read(bis);

            int width = image.getWidth();
            int height = image.getHeight();

            BufferedImage grayImage = new BufferedImage(width, height, BufferedImage.TYPE_BYTE_GRAY);
            for(int j= 0 ; j < width ; j++){
                for(int k = 0 ; k < height; k++){
                    int rgb = image.getRGB(j, k);
                    grayImage.setRGB(j, k, rgb);
                }
            }
            //这里需提供新的文件输出
            ImageIO.write(grayImage, "jpg", new File("/tmp/static/out.jpg"));
            System.out.println("download sucess");
            return true;
        }
    }
}
