package top.ninwoo.commonapi.po;

import lombok.Data;

/**
 * @author ljo
 * 文件的切片类
 */
@Data
public class FileSlice {
    // 文件的唯一id
    private Long fileId;

    // 切片的id，唯一且有顺序要求
    private int sliceId;

    // 索引的偏移量
    private Long start;

    // 文件比特数据的有效长度 - 这个值设置的原因是 fileBytes可能有补位的情况。
    private int size;
/*    private Long size;*/

    // 文件的比特数据
    private byte[] fileBytes;


}
