package top.ninwoo.cloud.ipservice.service;

import java.util.Set;

public interface IpService {

    String assignIp(long clusterId, String appName, String containerId, String ipRange);

    void deleteIp(long clusterId, String appName, String containerId, String ip);

    String getContainerIp(String containerId);

    Set<String> getIpListByAppName(long clusterId, String appName);

    String clearIpByClusterId(long clusterId);
}
